Bug 1829589 - EtcdCluster: Invalid prop `radius` supplied to `VictoryPie`
Summary: EtcdCluster: Invalid prop `radius` supplied to `VictoryPie`
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-29 20:24 UTC by Samuel Padgett
Modified: 2020-07-13 17:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.5.0-0.nightly-2020-04-29-064431 Cluster ID: b273c2fd-6f04-4f10-a0d3-e16143d3d15a Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:75.0) Gecko/20100101 Firefox/75.0
Last Closed: 2020-07-13 17:32:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Etcd Members Chart (423.27 KB, image/png)
2020-05-09 07:20 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5351 0 None open Bug 1829589: Fix prop warning for missing radius property 2020-06-24 01:29:37 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:33:51 UTC

Description Samuel Padgett 2020-04-29 20:24:28 UTC
The etcd operator has an EtcdCluster resource that shows a donut chart. Viewing the operand details for the EtcdCluster causes a prop type warning in the JS console.

Warning: Failed prop type: Invalid prop `radius` supplied to `VictoryPie`.
    in VictoryPie (created by ChartPie)
    in ChartPie (created by ChartDonut)
    in svg (created by VictoryContainer)
    in div (created by VictoryContainer)
    in VictoryContainer (created by ChartContainer)
    in ChartContainer (created by ChartDonut)
    in ChartDonut (created by PodStatusChart)
    in div (created by PodStatusChart)
    in PodStatusChart (created by PodStatuses)
    in PodStatuses
    in dd
    in dl
    in Unknown (created by StatusDescriptor)
    in ErrorBoundary (created by StatusDescriptor)
    in StatusDescriptor
    in div
    in div
    in div
    in div
    in Unknown (created by ConnectFunction)
    in ConnectFunction
    in Unknown (created by Context.Consumer)
    in Route
    in Switch
    in div (created by Data)
    in Data (created by StatusBox)
    in StatusBox
    in div
    in Unknown
    in Unknown
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction
    in Unknown (created by DetailsPage)
    in ErrorBoundary (created by DetailsPage)
    in DetailsPage
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by AsyncComponent)
    in AsyncComponent (created by Context.Consumer)
    in Route (created by LazyRoute)
    in LazyRoute (created by AppContents_)
    in Switch (created by AppContents_)
    in div (created by AppContents_)
    in div (created by AppContents_)
    in section (created by PageSection)
    in PageSection (created by AppContents_)
    in AppContents_ (created by ConnectFunction)
    in ConnectFunction (created by ConnectFunction)
    in ConnectFunction (created by App)
    in div (created by DrawerContent)
    in DrawerContent (created by NotificationDrawer)
    in div (created by Drawer)
    in Drawer (created by NotificationDrawer)
    in NotificationDrawer (created by ConnectedNotificationDrawer_)
    in ConnectedNotificationDrawer_ (created by ConnectFunction)
    in ConnectFunction (created by App)
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction (created by App)
    in main (created by Page)
    in div (created by Page)
    in Page (created by App)
    in App (created by Context.Consumer)
    in Route
    in Router
    in Provider react_devtools_backend.js:6:5119
    r react_devtools_backend.js:6
    React 4
    ChartPie ChartPie.js:90
    React 14
    Redux 7
    poller k8s.ts:96

Comment 3 Yadan Pei 2020-05-09 07:20:07 UTC
Created attachment 1686697 [details]
Etcd Members Chart

1. Subscribe etcd operator
2. create EtcdCluster instance
3. view EtcdCluster details when members are running, no JS warn message in dev console


Verified on 4.5.0-0.nightly-2020-05-09-003922

Comment 4 errata-xmlrpc 2020-07-13 17:32:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.